2017-11-20 05:24 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000448v2.0 Release (Closed)[All Projects] Generalpublic2010-06-21 21:14
Reporteradolfo 
Assigned Tocaseydk 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Versionv2.0.0 
Summary0000448: Error On Department Tab
DescriptionI have done this,

1.- I create a new rol with non admin-modules and department and contacts with no permissions to access, see, update,delete.

2.- I create a new user and I assigned the new rol

3.- when I'm inside the application I can see the departments and contacts tab, and making click on departments tabs crash web2project in showing me following error.


If I delete all exclusions permissions on deparment, w2p run ok.
Additional InformationERROR: G:\Servidor\www\Project\classes\w2p\Database\Query.class.php(1109) : query failed(SELECT departments.*, COUNT(ct.contact_department) dept_users, count(distinct p.project_id) as countp, count(distinct p2.project_id) as inactive, con.contact_first_name, con.contact_last_name FROM ((`departments` AS departments)) LEFT JOIN `project_departments` AS pd ON pd.department_id = dept_id LEFT JOIN `projects` AS p ON pd.project_id = p.project_id AND p.project_active = 1 LEFT JOIN `users` AS u ON dept_owner = u.user_id LEFT JOIN `contacts` AS con ON u.user_contact = con.contact_id LEFT JOIN `projects` AS p2 ON pd.project_id = p2.project_id AND p2.project_active = 0 LEFT JOIN `contacts` AS ct ON ct.contact_department = dept_id WHERE (c.company_id IS NULL) GROUP BY dept_id,dept_id ORDER BY dept_parent, dept_name,dept_name asc) - error was: Unknown column 'c.company_id' in 'where clause'
Backtrace:
0 G:\Servidor\www\Project\classes\w2p\Database\Query.class.php:1109 dprint()
1 G:\Servidor\www\Project\classes\w2p\Database\Query.class.php:1146 exec()
2 G:\Servidor\www\Project\modules\departments\departments.class.php:116 loadList()
3 G:\Servidor\www\Project\modules\departments\vw_depts.php:22 getFilteredDepartmentList()
4 G:\Servidor\www\Project\style\ITC-Infomedia\overrides.php:104 require()
5 G:\Servidor\www\Project\modules\departments\index.php:83 show()
6 G:\Servidor\www\Project\index.php:362 require()



Warning: Invalid argument supplied for foreach() in G:\Servidor\www\Project\modules\departments\vw_depts.php on line 43

Nombre Proyecto Activos Projectos Archivados Tipo

        
    Unknown column 'c.company_id' in 'where clause'
TagsNo tags attached.
Attached Files

-Relationships
child of 0000440closedcaseydk Various Bug's 
+Relationships

-Notes

~0000897

caseydk (administrator)

Are you really using v1.0?

~0000901

caseydk (administrator)

Resolved in r1098, will be in the v2.0 RC.
+Notes

-Issue History
Date Modified Username Field Change
2010-05-25 07:55 adolfo New Issue
2010-05-25 10:11 caseydk Note Added: 0000897
2010-05-25 12:16 caseydk Relationship added child of 0000440
2010-05-25 12:17 caseydk Project v1.0 Release (Closed) => v2.0 Release (Closed)
2010-05-28 06:57 caseydk Note Added: 0000901
2010-05-28 06:57 caseydk Status new => resolved
2010-05-28 06:57 caseydk Resolution open => fixed
2010-05-28 06:57 caseydk Assigned To => caseydk
2010-06-21 21:14 caseydk Status resolved => closed
2010-06-21 21:14 caseydk Fixed in Version => v2.0
+Issue History